locked
ScrollViewerStyles.xaml value is out of range. RRS feed

  • Question

  • When I create a new Silverlight 3 SketchFlow Application and run the project (blank) in Blend the page loads in the browser with the following error:

    Line: 54
    Char: 13
    Error: Unhandled Error in Silverlight Appilcation
    Code: 2103
    Category: InitializeError
    Message: Invalid or malformed application: Check manifest
    Code: 0
    URL: http://localhost:51305/TestPage.html

    When I run the same project in Visual Studio I get a little more information:

    System.Windows.Markup.XamlParseException occurred
      Message="Attribute /Microsoft.Expression.Prototyping.SketchControls;Component/ScrollViewerStyles.xaml value is out of range. [Line: 9 Position: 32]"
      LineNumber=9
      LinePosition=32
      StackTrace:
           at System.Windows.Application.LoadComponent(Object component, Uri resourceLocator)
      InnerException:

    Does anyone have any ideas to solve this? 

    As an FYI, I've been working on a Silverlight 2 app for about 9 months now and been installing different versions of Blend 3 (MIX, Beta etc) to try out. To make sure I had the latest bits I downloaded Version 3.0.1927.0 today.

    Any help would be greatly appreciated.

    Tony

    Monday, August 24, 2009 8:15 PM

Answers

  • Hey Tony,
                     This is happening probably because you have an older version of Blend SDK installed on your computer. Can you please uninstall Blend + SDK and then install the Blend 3 RTM bits (3.0.1927.0) ? I believe that will solve your problem.

    Regards,
    Navit Saxena 
    • Marked as answer by tcorneto Monday, August 24, 2009 10:06 PM
    Monday, August 24, 2009 8:28 PM
  • Navit,

    That seems to have solved it thanks.  So now that I've removed the old Blend SDK is there a new one I need to install or is it all rolled into a single install? I see that there is a Silverlight 3 SDK, would that cover it or is that seperate from one specific to Blend?

    Thanks,

    Tony
    • Marked as answer by tcorneto Monday, August 24, 2009 10:07 PM
    Monday, August 24, 2009 10:06 PM

All replies

  • Hey Tony,
                     This is happening probably because you have an older version of Blend SDK installed on your computer. Can you please uninstall Blend + SDK and then install the Blend 3 RTM bits (3.0.1927.0) ? I believe that will solve your problem.

    Regards,
    Navit Saxena 
    • Marked as answer by tcorneto Monday, August 24, 2009 10:06 PM
    Monday, August 24, 2009 8:28 PM
  • Navit,

    That seems to have solved it thanks.  So now that I've removed the old Blend SDK is there a new one I need to install or is it all rolled into a single install? I see that there is a Silverlight 3 SDK, would that cover it or is that seperate from one specific to Blend?

    Thanks,

    Tony
    • Marked as answer by tcorneto Monday, August 24, 2009 10:07 PM
    Monday, August 24, 2009 10:06 PM
  • Hey Tony,
                      Its all rolled into one. When you install Blend we install SDK for you.

    Regards,
    Navit Saxena
    Monday, August 24, 2009 11:20 PM